Bug 239904 (CVE-2007-2627) - CVE-2007-2627: wordpress sidebar.php XSS
Summary: CVE-2007-2627: wordpress sidebar.php XSS
Status: CLOSED ERRATA
Alias: CVE-2007-2627
Product: Fedora
Classification: Fedora
Component: wordpress (Show other bugs)
(Show other bugs)
Version: 6
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: John Berninger
QA Contact: Fedora Extras Quality Assurance
URL: http://nvd.nist.gov/nvd.cfm?cvename=C...
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-12 08:02 UTC by Ville Skyttä
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version: 2.2.1-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-05 19:22:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ville Skyttä 2007-05-12 08:02:09 UTC
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2007-2627

"Cross-site scripting (XSS) vulnerability in sidebar.php in WordPress, when
custom 404 pages that call get_sidebar are used, allows remote attackers to
inject arbitrary web script or HTML via the query string (PHP_SELF), a different
vulnerability than CVE-2007-1622."

Comment 1 John Berninger 2007-05-17 22:14:31 UTC
Upstream doesn't seem to have a patch for this as of yet (May 17 2007).

Comment 2 Fedora Update System 2007-07-05 19:22:45 UTC
wordpress-2.2.1-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.